Bug 132249 - installer crashes while doing a ftp install on a p630
installer crashes while doing a ftp install on a p630
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-09-10 05:27 EDT by Rajarshi Das
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-18 10:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rajarshi Das 2004-09-10 05:27:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)

Description of problem:
This is on RHEL4 Beta1 for ppc64. After setting up the ftp server, we
initiated the installation through non anonymous ftp. However, the
installer crashed.

The ftp server had a fedora core 2 installed and the server on which
the installation was intended is a p630 power4 box. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Setup a ftp server with the four iso images of RHEL4 beta1 for ppc64. 
2.Select 'ftp' as the source of the images in the installer screen and
specify the server name and directory where the images are stored.
3.Start the installation.

Actual Results:  The installer crashed.

Expected Results:  The installer should have started installing the images

Additional info:

A snapshot of the sequence which led to the crash : 
Probing for mouse type:   No - mouse
Graphical installation not available...  Starting text mode.
/tmp/updates/urlinstall.py:156: FutureWarning: hex/oct constants >
sys.maxint wp  magic1 = socket.ntohl(info[0]) & 0xffffffff
/tmp/updates/urlinstall.py:157: FutureWarning: hex/oct constants >
sys.maxint wp  if (magic1 != 0x8eade801 or info[1]):
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1023, in ?
AttributeError: UrlInstallMethod instance has no attribute 'setIntf'
install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
        /mnt/runtime done
        disabling /dev/loop0
        /proc done
        /dev/pts done
        /sys done
        /tmp/ramfs done
        /selinux done
you may safely reboot your system
Comment 1 Jeremy Katz 2004-09-10 11:49:58 EDT
Are you sure that your install tree isn't corrupted?  Are there any
error messages on tty4?
Comment 2 Jeremy Katz 2004-09-22 15:57:58 EDT
Any more information here?
Comment 3 Jeremy Katz 2004-10-18 10:38:36 EDT
Closing due to inactivity.  Please reopen if you have further information to add
to this bug report.

Note You need to log in before you can comment on or make changes to this bug.